## pstotext 1.6

=== Makefile ===
# Copyright (C) 1995, Digital Equipment Corporation.
# All rights reserved.
# See the file pstotext.txt for a full description.
# Last modified on Fri Oct 11 15:28:59 PDT 1996 by mcjones

# pstotext now requires an ANSI-compatible C compiler, such as gcc.
# If you absolutely must use a pre-ANSI compiler, you can try
# commenting out the includes of ptotdll.h in ptotdll.c and main.c.
# PMcJ 6 Sep 96

CC=gcc

BUNDLE = ocr.h rot270.h rot90.h

all:	pstotext

main.o: ptotdll.h bundle.h ocr.h rot270.h rot90.h
	$(CC) -c $*.c

ptotdll.o: ptotdll.h
	$(CC) -c $*.c

pstotext: bundle.o main.o ptotdll.o
	$(CC) -o pstotext main.o bundle.o ptotdll.o -lm

.SUFFIXES: .ps

.c.o:
	$(CC) -c $*.c

# "Bundle" an Ascii file.
.ps.h:
	echo "char *$*[] = {" > $*.h
	sed -e 's/"/\\"/g' -e 's/\(.*\)/  "\1\\n",/' $*.ps >> $*.h
	echo "  0" >> $*.h
	echo "};" >> $*.h

tidy:
	rm -f ,* .,* .emacs_[0-9]* core *~ 


clean:
	rm -f pstotext *.o core $(BUNDLE)

## pstotext 1.9

=== Makefile ===
# Copyright (C) 1995, Digital Equipment Corporation.
# All rights reserved.
# See the file pstotext.txt for a full description.
# Last modified on Fri Jan 09 21:20:00 AEST 2004 by rjl (fixed dependencies)
# Last modified on Wed Oct 28 08:45:54 PST 1998 by mcjones

# pstotext now requires an ANSI-compatible C compiler, such as gcc.
# If you absolutely must use a pre-ANSI compiler, you can try
# commenting out the includes of ptotdll.h in ptotdll.c and main.c.
# PMcJ 6 Sep 96

CC=gcc
#CC=cc -std

BUNDLE = ocr.h rot270.h rot90.h

all:	pstotext

main.o: main.c ptotdll.h bundle.h ocr.h rot270.h rot90.h
	$(CC) -c $*.c

ptotdll.o: ptotdll.c ptotdll.h
	$(CC) -c $*.c

pstotext: bundle.o main.o ptotdll.o
	$(CC) -o pstotext main.o bundle.o ptotdll.o -lm

.SUFFIXES: .ps

.c.o:
	$(CC) -c $*.c

# "Bundle" an Ascii file.
.ps.h:
	echo "const char *$*[] = {" > $*.h
	sed -e 's/"/\\"/g' -e 's/\(.*\)/  "\1\\n",/' $*.ps >> $*.h
	echo "  0" >> $*.h
	echo "};" >> $*.h

tidy:
	rm -f ,* .,* .emacs_[0-9]* core *~ 


clean:
	rm -f pstotext *.o core $(BUNDLE)

=== debian/changelog ===
pstotext (1.9-6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:40:21 +0000

pstotext (1.9-6) unstable; urgency=low

  * [debian/rules] use dpkg-buildflags; fix "Please enabled hardened build
    flags", applied patch courtesy of Moritz Muehlenhoff  (Closes: #655105)
  * [debian/rules] providing build-arch and build-indep as recommended by
    lintian
  * [debian/control] updated to Standars-Version: 3.9.3 (no changes needed)
  * removing templates [debian/postinst.debhelper] and
    [debian/postrm.debhelper]

 -- Jan Jeroným Zvánovec <jero@zvano.net>  Mon, 05 Mar 2012 18:28:41 +0100

pstotext (1.9-5) unstable; urgency=medium

  * New maintainer (closes: #585061)
  * [debian/control] updated dependency on ghostscript (closes: #539671)
  * [debian/rules] -fno-string-aliasing workaround to prevent broken
     compilation of type punning   (closes: #586914)
  * [debian/copyright] new maintainer, including pstotext.txt only once
    (closes: #289097)
  * [debian/control] updated to Standards-Version: 3.9.0.0 (no changes needed)
  * [debian/control] new Homepage field added; added ${misc:Depends}
  * [debian/{preinst,postinst,prerm,postrm}] deleted because trivial
  * [debian/README.debian] doc path fixed; new maintainer
  * [debian/compat] set to 7
  * [debian/source/format] set to "3.0 (quilt)"
  * [debian/watch] added
  * patches moved from diff.gz to debian/patches
  * [debian/rules] - builds in debian/pstotext instead of debian/tmp;
    dh_installman instead of dh_install_manpages; wiped useless dh_*

 -- Jan Jeroným Zvánovec <jero@zvano.net>  Sat, 10 Jul 2010 19:23:58 +0200

pstotext (1.9-4) unstable; urgency=medium

  * [main.c] Applied patch courtesy of Martin Ehmsen <ehmsen@gentoo.org> to
    unbreak pstotext on input from stdin which was broken by 1.9-3's security
    patch. (Closes: #356988)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 21 May 2006 20:14:12 +0200

pstotext (1.9-3) unstable; urgency=high

  * [main.c] Security fix. popen(3) was being used in a construct which could
    did not perform sufficient cleanup/quoting of filenames; these filenames 
    could come from untrusted sources like a web indexing service and could 
    thus be misused to execute shell code as the user running pstotext. The 
    use of popen(3) has been replaced by an explicit fork/pipe construct 
    which does not involve the use of a shell. (Closes: #356988)
  * [debian/control] Change the non-virtual package suggestion for the
    dependency on the "gs" virtual package to gs-gpl as gs-aladdin has become
    a transitional package.
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  5 May 2006 17:09:48 +0200

pstotext (1.9-2) unstable; urgency=high

  * [main.c] Security fix: call Ghostscript with -dSAFER to prevent malicious
    PostScript data from altering the filesystem or opening pipes to arbitrary
    external programs. This problem was remotely exploitable (through
    pstotext's registration with /etc/mailcap as a viewer application).
    The problem was identified and patched by Max Vozeler <xam@debian.org>.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 27 Jul 2005 18:43:55 +0200

pstotext (1.9-1) unstable; urgency=low

  * New upstream, incorporating Debian's code changes.
  * [debian/copyright, debian/README.Debian] Updated.
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 13 Jan 2004 19:21:53 +0100

pstotext (1.8g-6) unstable; urgency=low

  * Implemented current policy and updated Standards-Version accordingly.
  * Corrected priority.
  * [debian/mime] Added `copiousoutput' to the PDF entry. (Closes: #207374)
  * [debian/mime] Added workarounds for lynx not dealing with the
    `copiousoutput' flag properly. (Closes: #170848)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 28 Aug 2003 18:08:05 +0200

pstotext (1.8g-5) unstable; urgency=medium

  * MAXPATHLEN patch caused core dump on empty argument list; reworked it.
  * Minor code cleanup: dealt with a few compiler warnings.
  * Use mkstemp() in tempfile generation.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  2 Feb 2002 10:43:43 +0100

pstotext (1.8g-4) unstable; urgency=medium

  * Applied patch from James A Morrison to remove use of MAXPATHLEN as
    needed for GNU/Hurd. (Closes: #113738).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 28 Nov 2001 21:28:29 +0100

pstotext (1.8g-3) unstable; urgency=low

  * Restored MIME support that went missing.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 23 May 2001 20:45:19 +0200

pstotext (1.8g-2) unstable; urgency=low

  * Applied patch by Matthew Swift <swift@alum.mit.edu> to fix a problem with 
    filename quoting that broke pstotext on filenames containing spaces.
    (Closes: #86421)
  * Added build dependency on debhelper.
  * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 31 Mar 2001 12:46:06 +0200

pstotext (1.8g-1) unstable; urgency=low

  * Discovered a new upstream version was released some time ago.
  * Updated Standards-version.
  * Folded gs-aladdin suggestion into Depends: line.
  * Updated email address.
  * Updated to current debhelper capabilities.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 27 May 2000 17:18:47 +0200

pstotext (1.8-4) unstable; urgency=low

  * FHS migration. 

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 11 Sep 1999 12:51:46 +0200

pstotext (1.8-3) unstable; urgency=low

  * Fixed order of fields in application/pdf mailcap entry. (Closes: bug#42441) 
  * Moved manpage to FHS-conformant location.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Thu,  5 Aug 1999 22:09:26 +0200

pstotext (1.8-2) unstable; urgency=low

  * Use dh_installmime (fixes: mailcap entry in the wrong directory).
  * Updated Standards-Version.



=== debian/control ===
Source: pstotext
Section: text
Priority: optional
Build-Depends: debhelper (>= 7)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Jeroným Zvánovec <jero@zvano.net>
Standards-Version: 3.9.3.0
Homepage: http://www.cs.wisc.edu/~ghost/doc/pstotext.htm

Package: pstotext
Architecture: any
Depends: ghostscript, ${shlibs:Depends}, ${misc:Depends}
Description: Extract text from PostScript and PDF files
 pstotext extracts text (in the ISO 8859-1 character set) from a PostScript
 or PDF (Portable Document Format) file. Thus, pstotext is similar to the
 ps2ascii program that comes with ghostscript. The output of pstotext is
 however better than that of ps2ascii, because pstotext deals better with 
 punctuation and ligatures.

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://mirror.cs.wisc.edu/pub/mirrors/ghost/contrib/pstotext-(.*)\.tar\.gz
